Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::axis_aligned_bounding_box Class Reference

Inheritance diagram for openvrml::axis_aligned_bounding_box:

[legend]
List of all members.

## Detailed Description

An axis-aligned bounding box.

Todo:
  This class is currently just a placeholder.

## Public Member Functions

virtual | ~axis_aligned_bounding_box ()
| Destroy.
virtual intersection | intersect_frustum (const openvrml::frustum &frustum) const
virtual void | extend (const bounding_volume &b)
| Extend the bounding_volume to enclose `bv`.
virtual void | extend (const vec3f &p)
virtual void | extend (const axis_aligned_bounding_box &b)
virtual void | extend (const bounding_sphere &b)
virtual void | enclose (const std::vector< vec3f > &points)
| Enclose the given set of points.
virtual void | maximize ()
| Implement me!
virtual bool | maximized () const
| Implement me!
virtual void | ortho_transform (const mat4f &M)
| Implement me!
virtual void | transform (const mat4f &M)
| Implement me!

## Constructor & Destructor Documentation

openvrml::axis_aligned_bounding_box::~axis_aligned_bounding_box | ( |  | ) | `[virtual]`

| Destroy.

## Member Function Documentation

bounding_volume::intersection openvrml::axis_aligned_bounding_box::intersect_frustum | ( | const openvrml::frustum & | frustum | ) | const`[virtual]`

Todo:
  Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::extend | ( | const bounding_volume & | bv | ) | `[virtual]`

Extend the bounding_volume to enclose `bv`.

Parameters:

  | bv | a bounding volume.

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::extend | ( | const vec3f & | p | ) | `[virtual]`

Todo:
  Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::extend | ( | const axis_aligned_bounding_box & | b | ) | `[virtual]`

Todo:
  Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::extend | ( | const bounding_sphere & | b | ) | `[virtual]`

Todo:
  Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::enclose | ( | const std::vector< vec3f > & | points | ) | `[virtual]`

Enclose the given set of points.

This resets the volume from any previous values.

Parameters:

  | points | points.

Todo:
  Implement me!

Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::maximize | ( |  | ) | `[virtual]`

| Implement me! Implements openvrml::bounding_volume.

bool openvrml::axis_aligned_bounding_box::maximized | ( |  | ) | const`[virtual]`

| Implement me! Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::ortho_transform | ( | const mat4f & | M | ) | `[virtual]`

| Implement me! Implements openvrml::bounding_volume.

void openvrml::axis_aligned_bounding_box::transform | ( | const mat4f & | M | ) | `[virtual]`

| Implement me! Implements openvrml::bounding_volume.